Bug 18955 - Reboot and shutdown hangs Toshiba Satellite 2655XDVD
Reboot and shutdown hangs Toshiba Satellite 2655XDVD
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Dale Lovelace
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-12 09:18 EDT by Need Real Name
Modified: 2014-03-16 22:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-14 18:02:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-10-12 09:18:23 EDT
Whenever any of the following commands are run on a Toshiba Satellite
2655XDVD, the shutdown process executes correctly, but then the display
blanks and the system hangs. Only way to recover is to remove power and
battery.

Commands:

# reboot
# halt
# shutdown -r now
# shutdown -h now
Comment 1 Alan Cox 2000-10-14 18:02:40 EDT
Thats kind of hard for us to do anything about, at the point it hangs the
control has been handed back from Linux to the firmware, and its up to the
firmware to reboot a box correctly. There are some possible workaround helpers
as Linux lets you pick multiple reboot methods to try and deal with broken
bioses/hardware

You can do
	reboot=X,Y

where X is
	hard - reboot by reset line
	bios - reboot by bios vector

and Y is
	warm - warm boot, (ctrl-alt-del like)
	cold - cold boot (power on like)

So if you boot

LILO: linux reboot=bios,warm

and see if that works you can hopefully find one boot sequence that doesnt trip
the bugs in your laptop. The append="reboot=..." option in /etc/lilo.conf will
let you set it by default by adding

	append="reboot=bios,warm"

into lilo.conf for the Linux image

Then rerun lilo

Alan

Note You need to log in before you can comment on or make changes to this bug.